<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

if (isset($_POST['update_config']))
{
	$form = array_map('trim', $_POST['form']);
	
	foreach ($form as $key => $input)
	{
		// Only update option values that have changed
		if (array_key_exists('o_'.$key, $forum_config) && $forum_config['o_'.$key] != $input)
		{
			if ($input != '' || is_int($input))
				$value = '\''.$forum_db->escape($input).'\'';
			else
				$value = 'NULL';

			$query = array(
				'UPDATE'	=> 'config',
				'SET'		=> 'conf_value='.$value,
				'WHERE'		=> 'conf_name=\'o_'.$forum_db->escape($key).'\''
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
			
			// Regenerate the config cache
			if (!defined('FORUM_CACHE_FUNCTIONS_LOADED'))
				require FORUM_ROOT.'include/cache.php';

				generate_config_cache();

			// If changed sef - remove quick-jump cache
			if (!empty($forum_config['o_sef']) && !empty($form['sef']))
			{
				if ($forum_config['o_sef'] != $form['sef'])
				{
					clean_quickjump_cache();
				}
			}
		}
	}
	
	$message = 'Настройки обновлены';
	$forum_flash->add_info($message);
	
	redirect($forum_url['pan_lines_options'], $message);
}


$mime_types = array('image/png', 'image/jpg', 'image/jpeg', 'image/gif', 'image/bmp');
$ext_types = array('png', 'jpg', 'jpeg', 'gif', 'bmp');
if (isset($_POST['upload_line'])) 
{
	$base_name_images = basename($_FILES['req_file']['name']);
	$base_url_images = $forum_url['pan_lines_line_path'].'/'. $base_name_images;

	if (!in_array($_FILES['req_file']['type'], $mime_types) ) {
		$message = 'Файл не является изображением с допустимым расширением';
	} else if (move_uploaded_file($_FILES['req_file']['tmp_name'], $base_url_images) ) {
			$message = "Линейка загружена";
	} else {
			$message = "Не удалось загрузить изображение!";
	}

	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_lines_options']), $message);
}

if (isset($_POST['upload_runner'])) 
{
	$base_name_images = basename($_FILES['req_file']['name']);
	$base_url_images = $forum_url['pan_lines_runner_path'].'/'. $base_name_images;

	if (!in_array($_FILES['req_file']['type'], $mime_types) ) {
		$message = 'Файл не является изображением с допустимым расширением';
	} else if (move_uploaded_file($_FILES['req_file']['tmp_name'], $base_url_images) ) {
			$message = "Бегунок загружен";
	} else {
			$message = "Не удалось загрузить изображение!";
	}

	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_lines_options']), $message);
}


if(isset($_POST['delete_image']))
{
	if(isset($_POST['line']))
	{
		$arr_lines = $_POST['line'];
		
		foreach($arr_lines as $key => $value)
		{
			$line_path = FORUM_ROOT.$forum_url['pan_lines_line_path'].'/'.$value;
			if(file_exists($line_path) ) {
				unlink($line_path);
				$message = 'Line deleted!';
			} else {
				$message = 'Could not delete the file!';
			}
		}
	}
	
	if(isset($_POST['runner']))
	{
		$arr_runners = $_POST['runner'];
		foreach($arr_runners as $key => $value)
		{
			$runner_path = FORUM_ROOT.$forum_url['pan_lines_runner_path'].'/'.$value;
			if(file_exists($runner_path) ) {
				unlink($runner_path);
				$message = 'Runner deleted!';
			} else {
				$message = 'Could not delete the file!';
			}
		}
	}

	$forum_flash->add_info($message);
	redirect(forum_link($forum_url['pan_lines_options']), $message);
}


if (isset($_POST['gelegate']))
{
	$query = array(
		'SELECT'	=> 'u.id, u.period_desc, u.period_time',
		'FROM'		=> 'users AS u',
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$users_info = array();
	while ($cur_users = $forum_db->fetch_assoc($result))
	{
		if(!empty($cur_users['period_desc']))
		{
			$period_info = array(
				'line_desc_before'	=> '',
				'line_desc_after'	=> $cur_users['period_desc'],
				'line_color'		=> '#000',
				'text_layout'		=> '',
				'line_time'			=> isset($cur_users['period_time']) ? $cur_users['period_time'] : '',
				'line_image'		=> '',
				'line_runner'		=> '',
			);
			$users_info[$cur_users['id']] = serialize($period_info);
		}
	}
	
	foreach ($users_info as $key => $value)
	{
		$query = array(
			'UPDATE'	=> 'users',
			'SET'		=> 'line_mode=1, line_info=\''.$forum_db->escape($value).'\'',
			'WHERE'		=> 'id='.$key
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);
	}

	$message = 'Настройки делегированы';
	$forum_flash->add_info($message);
	
	redirect($forum_url['pan_lines_options'], $message);
}

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_settings.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
	array('Lines', forum_link($forum_url['pan_lines_options']))
);

define('FORUM_PAGE_SECTION', 'settings');
define('FORUM_PAGE', 'admin-pan_lines_options');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();
?>
	
	<div class="main-content main-frm">
		
		
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_lines_options']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_lines_options'])) ?>" />
			</div>
			
			 <div class="content-head">
				<h2 class="hn"><span>Настройки линеек и бегунков</span></h2>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Показы</span><small>Максимальное количество показов линейки пользователей на странице. Значение 0 отключает показ линеек для всех</small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_lines_show_user]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_lines_show_user']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Ширина линейки</span><small>Общая максимально разрешенная ширина линейки. Значение 0 установит истинную ширину изображения</small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_lines_width]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_lines_width']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Высота линейки</span><small>Общая максимально разрешенная высота линейки. Значение 0 установит истинную высоту изображения<</small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_lines_height]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_lines_height']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Ширина бегунка</span><small>Общая максимально разрешенная ширина бегунка. Значение 0 установит истинную ширину изображения<</small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_lines_runner_width]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_lines_runner_width']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box text">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span>Высота бегунка</span><small>Общая максимально разрешенная высота бегунка. Значение 0 установит истинную высоту изображения</small></label><br />
					<span class="fld-input"><input type="number" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[pan_lines_runner_height]" size="10" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_lines_runner_height']) ?>" /></span>
				</div>
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update_config" value="Обновить" /></span>
			</div>
		</form>
		
		
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo (forum_link($forum_url['pan_lines_options']) ) ?>" enctype="multipart/form-data">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_lines_options']) ) ?>" />
			</div>
			
			<div class="content-head">
				<h3 class="hn"><span><?php echo 'Загруженные линейки и бегунки' ?></span></h3>
			</div>

			<fieldset class="mf-set set">
				<legend><span>Линейки</span></legend>
				<div class="mf-box pf-line-imgs">
<?php
	$arr_lines = pan_get_all_files( FORUM_ROOT.$forum_url['pan_lines_line_path'], $ext_types );
	foreach ($arr_lines as $lines)
	{
		if ($lines)
			echo '<div class="mf-item">
					<span class="fld-input"><input type="checkbox" id="fld" name="line['.$lines.']" value="'.$lines.'" /></span>
					<label for="fld"><span><img src="'.forum_link($forum_url['pan_lines_line_path']).'/'.$lines.'" width="250px" height="25px"/></span></label>
					<label for="fld"><span>'.$lines.'</span></label>
				</div>';
	}
?>
				</div>
			</fieldset>
			
			<fieldset class="mf-set set">
				<legend><span>Бегунки</span></legend>
				<div class="mf-box pf-line-runners">
<?php
	$arr_runners = pan_get_all_files( FORUM_ROOT.$forum_url['pan_lines_runner_path'], $ext_types );
	foreach ($arr_runners as $runners)
	{
		if ($runners)
			echo '<div class="mf-item">
					<span class="fld-input"><input type="checkbox" id="fld" name="runner['.$runners.']" value="'.$runners.'" /></span>
					<label for="fld"><span><img src="'.forum_link($forum_url['pan_lines_runner_path']).'/'.$runners.'" width="50px" height="auto"/></span></label>
					<label for="fld"><span>'.$runners.'</span></label>
				</div>';
	}
?>
				</div>
			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="delete_image" value="<?php echo 'Delete Image' ?>" /></span>
			</div>
		</form>
		
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo (forum_link($forum_url['pan_lines_options']) ) ?>" enctype="multipart/form-data">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_lines_options']) ) ?>" />
			</div>
			
			<div class="content-head">
				<h3 class="hn"><span><?php echo 'Загрузка изображений' ?></span></h3>
			</div>
			
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo 'Edit forum details legend' ?></strong></legend>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box text required">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo 'Форма загрузки' ?></span><small><?php echo 'Выберите изображения и нажмите Загрузить' ?></small></label><br />
						<span class="fld-input"><input id="fld<?php echo $forum_page['fld_count'] ?>" name="req_file" type="file" size="40" /></span>
					</div>
				</div>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="upload_line" value="<?php echo 'Загрузить как линейку' ?>" /></span>
				<span class="submit primary"><input type="submit" name="upload_runner" value="<?php echo 'Загрузить как бегунок' ?>" /></span>
			</div>
		</form>
		
		
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_lines_options']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_lines_options'])) ?>" />
			</div>
			
			 <div class="content-head">
				<h2 class="hn"><span>Делегирование настроек c Period Of Time</span></h2>
			</div>
		
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="gelegate" value="Delegate Options" /></span>
			</div>
		</form>
		
	</div>
	
<?php
$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
